Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelIdentifier

    java.lang.Object
      com.sun.media.sound.ModelIdentifier

    public class ModelIdentifier

extends java.lang.Object

This class stores the identity of source and destinations in connection blocks, see ModelConnectionBlock.

Author:
  Karl Helgason

Constructor Summary
`ModelIdentifier(java.lang.String object)`
`ModelIdentifier(java.lang.String object, int instance)`
`ModelIdentifier(java.lang.String object, java.lang.String variable)`
`ModelIdentifier(java.lang.String object, java.lang.String variable, int instance)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getInstance()`
`java.lang.String` | `getObject()`
`java.lang.String` | `getVariable()`
`int` | `hashCode()`
`void` | `setInstance(int instance)`
`void` | `setObject(java.lang.String object)`
`void` | `setVariable(java.lang.String variable)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelIdentifier

    public ModelIdentifier(java.lang.String object)

### ModelIdentifier

    public ModelIdentifier(java.lang.String object,
                           int instance)

### ModelIdentifier

    public ModelIdentifier(java.lang.String object,
                           java.lang.String variable)

### ModelIdentifier

    public ModelIdentifier(java.lang.String object,
                           java.lang.String variable,
                           int instance)

Method Detail

### getInstance

    public int getInstance()

### setInstance

    public void setInstance(int instance)

### getObject

    public java.lang.String getObject()

### setObject

    public void setObject(java.lang.String object)

### getVariable

    public java.lang.String getVariable()

### setVariable

    public void setVariable(java.lang.String variable)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD